devel/libgnomeui - The NetBSD Packages Collection

Core GNOME2 graphical libraries

libgnomeui is the library that provides basic GNOME2 graphic widgets.
These libraries require, therefore, to link against a GUI library
(GTK 2).

This package is part of the GNOME 2 Development Platform.

Build dependencies

x11/xorgproto x11/xcb-proto pkgtools/cwrappers devel/glib2-tools devel/libtool-base textproc/intltool devel/gmake lang/perl5 devel/pkgconf

Runtime dependencies

devel/glib2 devel/glib2 devel/GConf devel/libbonoboui devel/libbonoboui devel/popt devel/libglade x11/gtk2 devel/pango devel/libgnome sysutils/gnome-vfs graphics/libgnomecanvas security/libgnome-keyring x11/libSM devel/glib2 devel/GConf devel/libbonoboui devel/popt devel/libglade x11/gtk2 devel/pango devel/libgnome sysutils/gnome-vfs graphics/libgnomecanvas security/libgnome-keyring

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hflibgnomeui-2.24.5nb54.tgz
NetBSD 8.0earmv7hflibgnomeui-2.24.5nb52.tgz
NetBSD 8.0earmv7hflibgnomeui-2.24.5nb54.tgz
NetBSD 8.0i386libgnomeui-2.24.5nb52.tgz
NetBSD 8.0i386libgnomeui-2.24.5nb54.tgz
NetBSD 8.0powerpclibgnomeui-2.24.5nb52.tgz
NetBSD 8.0powerpclibgnomeui-2.24.5nb54.tgz
NetBSD 8.0powerpclibgnomeui-2.24.5nb54.tgz
NetBSD 8.0powerpclibgnomeui-2.24.5nb54.tgz
NetBSD 8.0x86_64libgnomeui-2.24.5nb52.tgz
NetBSD 8.0x86_64libgnomeui-2.24.5nb54.tgz
NetBSD 9.0aarch64libgnomeui-2.24.5nb54.tgz
NetBSD 9.0aarch64libgnomeui-2.24.5nb52.tgz
NetBSD 9.0aarch64libgnomeui-2.24.5nb54.tgz
NetBSD 9.0alphalibgnomeui-2.24.5nb54.tgz
NetBSD 9.0alphalibgnomeui-2.24.5nb52.tgz
NetBSD 9.0alphalibgnomeui-2.24.5nb54.tgz
NetBSD 9.0earmlibgnomeui-2.24.5nb52.tgz
NetBSD 9.0earmlibgnomeui-2.24.5nb54.tgz
NetBSD 9.0earmlibgnomeui-2.24.5nb54.tgz
NetBSD 9.0earmv6hflibgnomeui-2.24.5nb54.tgz
NetBSD 9.0earmv6hflibgnomeui-2.24.5nb52.tgz
NetBSD 9.0earmv6hflibgnomeui-2.24.5nb54.tgz
NetBSD 9.0earmv7hflibgnomeui-2.24.5nb54.tgz
NetBSD 9.0earmv7hflibgnomeui-2.24.5nb52.tgz
NetBSD 9.0earmv7hflibgnomeui-2.24.5nb54.tgz
NetBSD 9.0earmv7hflibgnomeui-2.24.5nb54.tgz
NetBSD 9.0i386libgnomeui-2.24.5nb52.tgz
NetBSD 9.0i386libgnomeui-2.24.5nb54.tgz
NetBSD 9.0mips64eblibgnomeui-2.24.5nb54.tgz
NetBSD 9.0mips64eblibgnomeui-2.24.5nb51.tgz
NetBSD 9.0mips64eblibgnomeui-2.24.5nb52.tgz
NetBSD 9.0mips64eblibgnomeui-2.24.5nb52.tgz
NetBSD 9.0mips64eblibgnomeui-2.24.5nb54.tgz
NetBSD 9.0mipsellibgnomeui-2.24.5nb54.tgz
NetBSD 9.0mipsellibgnomeui-2.24.5nb54.tgz
NetBSD 9.0powerpclibgnomeui-2.24.5nb54.tgz
NetBSD 9.0powerpclibgnomeui-2.24.5nb52.tgz
NetBSD 9.0powerpclibgnomeui-2.24.5nb54.tgz
NetBSD 9.0powerpclibgnomeui-2.24.5nb54.tgz
NetBSD 9.0sh3ellibgnomeui-2.24.5nb54.tgz
NetBSD 9.0sh3ellibgnomeui-2.24.5nb52.tgz
NetBSD 9.0sh3ellibgnomeui-2.24.5nb52.tgz
NetBSD 9.0sh3ellibgnomeui-2.24.5nb54.tgz
NetBSD 9.0sparc64libgnomeui-2.24.5nb54.tgz
NetBSD 9.0sparc64libgnomeui-2.24.5nb52.tgz
NetBSD 9.0sparc64libgnomeui-2.24.5nb54.tgz
NetBSD 9.0sparclibgnomeui-2.24.5nb54.tgz
NetBSD 9.0sparclibgnomeui-2.24.5nb51.tgz
NetBSD 9.0sparclibgnomeui-2.24.5nb52.tgz
NetBSD 9.0sparclibgnomeui-2.24.5nb52.tgz
NetBSD 9.0sparclibgnomeui-2.24.5nb54.tgz
NetBSD 9.0x86_64libgnomeui-2.24.5nb54.tgz
NetBSD 9.0x86_64libgnomeui-2.24.5nb54.tgz
NetBSD 9.0x86_64libgnomeui-2.24.5nb52.tgz
NetBSD 9.0x86_64libgnomeui-2.24.5nb54.tgz
NetBSD 9.0x86_64libgnomeui-2.24.5nb54.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.